/////////////////////////////////////////////////////////////////////////////
//File     :  FileIndexHeader.java
//Author(s):  Chris (Episthene) Baillargeon
//Description: Read and Store the Index Header for a File

//copyright (C) 2005 Chris (Episthene) Baillargeon

//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//http://www.gnu.org/licenses/gpl.html

//----------------------------------------------------------------------------
//$Revision: 1.0               $Date: 2005/10/06  
//----------------------------------------------------------------------------
/////////////////////////////////////////////////////////////////////////////
package epi_extractor;

import java.nio.*;
import epi_tools.Epi_Tank_Tools;

public class FileIndexHeader {

	public int startOfChunksIndex;
	public int decompressedLenght;
	public int relativeFirstChunkOffset;
	public int compressionFormat;
	public String fileName;
	
	public FileIndexHeader(int fileIndexOffset, ByteBuffer bufferIndex) {
		super();
		//4 - Parent Offset
		//4 - Decompressed Length
		//4- First Chunk Offset
		//4- CRC32
		//8 - Time Stamp
		//4 - Compression Format
		//2 - Name Lenght
		//Name Lenght - Name
		//(0- 3) - Padding
		decompressedLenght = bufferIndex.getInt(fileIndexOffset + 4);
		relativeFirstChunkOffset =  bufferIndex.getInt(fileIndexOffset + 8); 
		compressionFormat = bufferIndex.getInt(fileIndexOffset + 24);
		int nameLenght =  bufferIndex.getShort(fileIndexOffset + 28);
		fileName = Epi_Tank_Tools.getStringFromBuffer(bufferIndex, fileIndexOffset + 30, nameLenght);
		startOfChunksIndex = fileIndexOffset + 30 + nameLenght + Epi_Tank_Tools.getFileNullPadding(nameLenght);
	}

}
