/////////////////////////////////////////////////////////////////////////////
//File     :  Epi_Config.java
//Author(s):  Chris (Episthene) Baillargeon
//Description: Read and Write Configuration File to keep track of settings such as 
//				Last file paths chosen.

//copyright (C) 2005 Chris (Episthene) Baillargeon

//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//http://www.gnu.org/licenses/gpl.html

//----------------------------------------------------------------------------
//$Revision: 1.0               $Date: 2005/10/06  
//----------------------------------------------------------------------------
/////////////////////////////////////////////////////////////////////////////

package epi_tools;

import java.io.*;
import java.util.*;

public class Epi_Config extends java.util.Properties {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	String configFileName = "epi_TE.conf";
	
	public Epi_Config() {
		super();
	}

	public Epi_Config(Properties defaults) {
		super();
	}
	
	public void loadConfigFile () throws IOException {
		
		File fil = new File(configFileName);
		
		if (!fil.exists())
		{
			fil.createNewFile();
			storeToXML(new FileOutputStream(fil), "");
		}
		else
		{
			loadFromXML(new FileInputStream(fil));
		}
	}
	
	public void saveConfigFile () throws IOException, FileNotFoundException {
		File fil = new File(configFileName);
		
		if (!fil.exists())
		{
			fil.createNewFile();
			return;
		}
		storeToXML(new FileOutputStream(fil), "");
	}

	
}
